FS_MARK(1)

NAME
fs_mark - Benchmark synchronous/async file creation

SYNOPSIS
fs_mark [OPTIONS] -d DIRECTORY [-d DIRECTORY ...]

DESCRIPTION
fs_mark is meant to give some low level bashing to file systems. The write pattern that it concentrates on is heavily synchronous IO across multiple directories, drives, etc.

OPTIONS

-h  Print usage and exit.

-k  Keep files after each iteration.

-F  Run until filesystem is full.

-SSyncmethod
    Method to be used for synchronizing changes to disk:

    0: No Sync

    1: fsyncBeforeClose

    2: sync/1_fsync

    3: PostReverseFsync

    4: syncPostReverseFsync

    5: PostFsync

    6: syncPostFsync

-Dnumber
    Use number subdirectories.

-Nnumber
    Use number files in each subdirectory in round robin mode.

-ddirectory
    Use directory. Can be specified multiple times.

-llogfile
    Log to logfile.

-Lnumber
    Repeat the benchmark number of iterations.

-nnumber
    Use number of files per iteration.

-pnumber
    Use number of total bytes file names.

-rnumber
    Use number of random bytes in file names.

-sbyte_count
    Use number of bytes as size of each file.

-tnumber
    Use number of threads.

-wnumber
    Use number (of bytes per write() syscall.

AUTHORS
fs_mark was written by Ric Wheeler <ric@redhat.com>.

This manual page was written by Martin Steigerwald <ms@teamix.de>, for the Debian project (but may be used by others).